<template>
    <v-app id="inspire">

        <v-navigation-drawer v-model="drawer" fixed app>
            <p class="pt-2 pl-3 mt-4">Menu Principal</p>
            <v-spacer></v-spacer>
            <v-divider></v-divider>
            <v-list dense>

                <v-list-tile v-if="!logState" to="/">
                    <v-list-tile-action>
                        <v-icon>lock_open</v-icon>
                    </v-list-tile-action>
                    <v-list-tile-content>
                        <v-list-tile-title>Inicio</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>

                <v-divider></v-divider>

                <v-list-tile v-if="logState" @click="logout">
                    <v-list-tile-action>
                        <v-icon>lock</v-icon>
                    </v-list-tile-action>
                    <v-list-tile-content>
                        <v-list-tile-title>Salir</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>

            </v-list>
        </v-navigation-drawer>
        <v-toolbar color="#3DBCEB" dark fixed app>
            <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
            <v-toolbar-title v-if="logState">{{ getUserData }}</v-toolbar-title>
            <v-toolbar-title v-if="!logState">Laboratorios Médicos</v-toolbar-title>
        </v-toolbar>
        <v-content>
            <v-container fluid fill-height>

                <transition name="fade" mode="out-in">
                    <router-view :key="$router.fullPath" />
                </transition>
            </v-container>
        </v-content>
        <v-footer color="#3DBCEB" app>
            <v-layout justify-center>
                <span class="white--text" > &copy; 2019 Laboratorios Médicos S. de R.L.</span>
            </v-layout>
        </v-footer>

    </v-app>
</template>

<script>
export default {
    name: 'App',
    data() {
        return {
            drawer: false,
            mainPage: false,
        }
    },
    methods: {
       logout() {
                this.$store.commit('LOGOUT');
                this.$router.push('/');
            }
    },
    computed: {
        logState() {
            return this.$store.getters.getLogStatus
        },
        getUserData() {
            return this.$store.getters.getUserName;
        },

    }
}
</script>

<style>
.container {
    padding: 0 !important;
}

.fade-enter-active,
.fade-leave-active {
    transition-duration: 0.3s;
    transition-property: opacity;
    transition-timing-function: ease;
}

.fade-enter,
.fade-leave-active {
    opacity: 0
}
</style>
